import request from '@/utils/request'
// 下载打包影像
export function requestPackageAndAnonymizImage(params) {
    return request({
        url: '/DownloadAndUpload/requestPackageAndAnonymizImage',
        method: 'post',
        params
    })
}
// 获取影像上传列表
export function getSubjectImageUploadList(data) {
    return request({
        url: '/DownloadAndUpload/getSubjectImageUploadList',
        method: 'post',
        data
    })
}
// 预上传
export function preArchiveDicomStudy(data) {
    return request({
        url: '/DownloadAndUpload/preArchiveDicomStudy',
        method: 'post',
        data
    })
}
// 归档
export function addOrUpdateArchiveTaskStudy(data) {
    return request({
        url: '/DownloadAndUpload/addOrUpdateArchiveTaskStudy',
        method: 'post',
        data
    })
}

// 删除上传文件
export function deleteTaskStudy(params) {
    return request({
        url: '/DownloadAndUpload/deleteTaskStudy',
        method: 'delete',
        params
    })
}
// 获取iqc下载文件信息
export function getCRCUploadedStudyInfo(data) {
    return request({
        url: '/DownloadAndUpload/getCRCUploadedStudyInfo',
        method: 'post',
        data
    })
}
// 获取ir阅片和任务列表
export function getSubjectImageDownloadSelectList(data) {
    return request({
        url: '/DownloadAndUpload/getSubjectImageDownloadSelectList',
        method: 'post',
        data
    })
}
// 获取ir阅片和任务下载文件信息
export function getIRReadingDownloadStudyInfo(data) {
    return request({
        url: '/DownloadAndUpload/getIRReadingDownloadStudyInfo',
        method: 'post',
        data
    })
}
// 获取ir阅片和任务非dicom上传列表
export function getIRUploadTaskNoneDicomStudyList(data) {
    return request({
        url: '/DownloadAndUpload/getIRUploadTaskNoneDicomStudyList',
        method: 'post',
        data
    })
}
// 校验上传影像
export function verifyIRStudyAllowUpload(data) {
    return request({
        url: '/DownloadAndUpload/verifyIRStudyAllowUpload',
        method: 'post',
        data
    })
}
// 影像下载成功确认
export function downloadImageSuccess(params) {
    return request({
        url: '/DownloadAndUpload/downloadImageSuccess',
        method: 'post',
        params
    })
}
// 影像下载记录列表
export function getTrialDownloadList(data) {
    return request({
        url: '/DownloadAndUpload/getTrialDownloadList',
        method: 'post',
        data
    })
}
// 修改后处理检查类型
export function updateTaskStudyModality(params) {
    return request({
        url: '/DownloadAndUpload/updateTaskStudyModality',
        method: 'put',
        params
    })
}